Subject: Re: CCL:Cluster Boards (fwd)

From: Eugene Leitl <[email-masked]>
Date: Thu, 13 Sep 2001 20:41:49 +0200 (MET DST)

---------- Forwarded message ----------
Date: Thu, 13 Sep 2001 20:03:06 +0200
From: Jakob Østergaard <[email-masked]>
To: Eugene Leitl <[email-masked]>
Subject: Re: CCL:Cluster Boards (fwd)

On Thu, Sep 13, 2001 at 05:59:42PM +0200, Eugene Leitl wrote:
...
> Hello again,
>
>
> This time I would like to ask if any of you with experience building
> clusters could tell me if it's better to build a cluster using (for say a 6
> node cluster) 3 dual motherboards or 6 single motherboards.  I am
> specifically interested in knowing the price-performance relation between
> these two cases.

You get added flexibility on dual boards, wrt. memory.   Duals have been my
choice for a long time - but the "real world" (the strange big room with the
blue ceiling) has made me recommend UP machines lately.

If you put in 1 GB RAM per CPU, with dual boards you will have the option of
using 2 GB RAM with one CPU, leaving the other CPU idle.  This can be useful,
for some.

The past two cluster projects I've been involved with, ended up choosing single
processor (AMD) machines.  For these reasons:
1) The Athlon is/was the most economical (price/performance)
   processor available - if we wanted single processor systems
   it would be AMD.
2) At the first cluster, the dual athlon was not yet available,
   and at the second cluster it was still "bleeding edge". The
   alternative is dual PIII 1GHz.  Since the customers would
   run "mostly" one particular workload, we decided not to
   spend the extra money on getting the previously mentioned
   flexibility.

When I get some experience with dual athlons, I may seriously consider using
them in a cluster later.

As I see it, there are three options:
1) UP Athlon - cheap, simple, reliable (with proper motherboard!)
2) SMP Athlon - not significantly more expensive, added flexibility,
   but I have no clue about it's stability.
3) SMP PIII - simple, reliable, but you need more machines for the
   same (theoretical) performance.

PIII and PIV are pretty much out of the picture as I see it, unless you are
using heavily SSE2 based software, in which case the PIV could, maybe, be worth
looking into.

Two single athlons are about the same cost as a dual PIII (give and take some),
and you simply cannot buy a dual PIII of "comparable performance" unless your
code will only run on two CPUs anyway and is communications intensive
(communications-bound on a network).

My uncertainty about the stability of dual athlons is the primary reason why I
do not just recommend a dual.  I have dual Pentium, PPro, PII and PIII systems
working for me daily - maybe an Athlon will join the flock some day   :)

-- 
................................................................
:   [email-masked]   : And I see the elder races,         :
:.........................: putrid forms of man                :
:   Jakob Østergaard      : See him rise and claim the earth,  :
:        OZ9ABN           : his downfall is at hand.           :
:.........................:............{Konkhra}...............: